services:
  surmai:
    image: ghcr.io/rohitkumbhar/surmai:main
    container_name: surmai
    restart: unless-stopped
    environment:
      - SURMAI_ADMIN_EMAIL=admin@surmai.local
      - SURMAI_ADMIN_PASSWORD="REDACTED_PASSWORD"
      - PB_DATA_DIRECTORY=/pb_data
    volumes:
      - /opt/surmai/data:/pb_data
    ports:
      - "100.82.197.124:9497:8080"
    healthcheck:
      test: ["CMD", "nc", "-z", "localhost", "8080"]
      interval: 30s
      timeout: 10s
      retries: 5
      start_period: 10s
